Page MenuHomePhabricator

Disable multiarch support in all Labs precise instances
Closed, ResolvedPublic

Description

Trusty and Jessie don't have multiarch enabled, but precise does. Disable it after verifying that no precise instances are using any affected packages.

Event Timeline

yuvipanda raised the priority of this task from to Needs Triage.
yuvipanda updated the task description. (Show Details)
yuvipanda added a project: Cloud-Services.
yuvipanda added a subscriber: yuvipanda.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 8 2015, 8:32 AM

Change 236745 had a related patch set uploaded (by Yuvipanda):
aptly: Force remove multiarch support in precise

https://gerrit.wikimedia.org/r/236745

Change 236745 merged by Yuvipanda:
aptly: Force remove multiarch support in precise

https://gerrit.wikimedia.org/r/236745

chasemp closed this task as Resolved.Nov 30 2015, 4:54 PM
chasemp claimed this task.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 30 2015, 4:54 PM
scfc reopened this task as Open.Nov 30 2015, 5:16 PM
scfc added a subscriber: scfc.

The referenced change disabled multiarch support only for aptly::client instances.

scfc removed chasemp as the assignee of this task.Nov 30 2015, 5:16 PM
scfc added a subscriber: chasemp.

The referenced change disabled multiarch support only for aptly::client instances.

thanks

chasemp triaged this task as Normal priority.Nov 30 2015, 6:31 PM
Dzahn added a subscriber: Dzahn.

I assume this is already resolved because of T143349 or it will be in 2 days at least.

I found it because i saw:

modules/aptly/manifests/client.pp

5     if os_version('ubuntu <= precise') {
6         # Remove multiarch support in precise aptly clients.
7         # Can be removed when T111760 is fixed

Change 345371 had a related patch set uploaded (by Dzahn):
[operations/puppet@production] aptly: remove special case to remove multiarch support on precise

https://gerrit.wikimedia.org/r/345371

Dzahn added a comment.EditedMar 29 2017, 11:38 PM

@chasemp @Andrew I believe this can be resolved and my change above can be merged now or soon when the last precise instance is gone in labs.

Dzahn added a subscriber: Andrew.Mar 29 2017, 11:39 PM

Change 345371 merged by Andrew Bogott:
[operations/puppet@production] aptly: remove special case to remove multiarch support on precise

https://gerrit.wikimedia.org/r/345371

chasemp closed this task as Resolved.Mar 31 2017, 2:27 PM
chasemp claimed this task.